Component({
    options:{
        multipleSlots: true // 在组件定义时的选项中启用多slot支持
    },
    /**
     * 组件的属性列表
     */
    properties: {
        label:{
            type:String,
            default: null
        },
        content: {
            type:String,
            default:null
        },
        arrow:{
            type:String,
            default:null
        },   
        arrowText:{
            type: String,
            default: ''
        },
        labelClass:{
            type: String,
            default: ''
        },
        arrowTextClass:{
            type: String,
            default: ''
        }
    },

    /**
     * 组件的初始数据
     */
    data: {

    },

    /**
     * 组件的方法列表
     */
    methods: {
        arrowtap(){
            this.triggerEvent("arrowtap")
        }
    }
})
