// nova-tourism/pages/my/merchant/merchant-home/my-users/index.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    users: [], //用户列表
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.agentParent()
  },
  async agentParent() {
    if (!wx.getStorageSync('merchant')?.objectId) return
    let that = this
    let {users} = this.data
    wx.request({
      url: 'https://server.fmode.cn/api/user/agent/children',
      data: {
        uid: wx.getStorageSync('merchant')?.objectId,
        limit:50,
        skip:users?.length||0
      },
      header: {
        'content-type': 'application/json'
      },
      method: 'POST',
      dataType: 'json',
      responseType: 'text',
      success: (result) => {
        console.log(result);
        that.setData({
          users:[...users,...(result?.data?.data||[])]
        })
      },
      fail: () => {},
      complete: () => {}
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {
    this.agentParent()
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})